Get updated card credentials
Retrieve updated card credentials.
The following card schemes are supported:
- Mastercard
- Visa
- American Express
Body·
application/json
- Type: objectsource
_options The source to update. You must provide either
cardorinstrumentobject, but not both.
Responses
- application/json
- 401
Unauthorized
- 403
Not authorized to perform this action
- 404
Not Found
- application/json
- 500
Internal Server Error
- 502
Bad Gateway error
Request Example for post/account-updater/cards
curl 'https://{prefix}.api.sandbox.checkout.com/account-updater/cards' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"source_options": {
"card": {
"number": "5436424242424242",
"expiry_month": 5,
"expiry_year": 2025
}
}
}'
{
"account_update_status": "CARD_UPDATED",
"card": {
"encrypted_card_number": "3nCryp73dFPANv4lu3",
"bin": "543642",
"last4": "4242",
"expiry_month": 5,
"expiry_year": 2025,
"fingerprint": "abc123fingerprint"
}
}